Bug 1070521 - The outlier column in the suspect metrics report renders incorrect values
Summary: The outlier column in the suspect metrics report renders incorrect values
Status: ON_QA
Alias: None
Product: RHQ Project
Classification: Other
Component: Core Server, Monitoring, Storage Node
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ---
: RHQ 4.13
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1070522
TreeView+ depends on / blocked
 
Reported: 2014-02-27 02:31 UTC by John Sanda
Modified: 2018-01-30 17:57 UTC (History)
3 users (show)

(edit)
Clone Of:
: 1070522 (view as bug list)
(edit)
Last Closed:


Attachments (Terms of Use)

Description John Sanda 2014-02-27 02:31:53 UTC
Description of problem:
The Outlier column always renders a value of zero due to a bug in MeasurementOOBManagerBean. The methods,

  * getHighestNOOBsForGroup
  * getHighestNOOBsForResource
  * getSchedulesWithOOBs 

all execute a query to fetch one hour data that is needed in order to compute outliers. That query is executed against the legacy one hour data table in the relational database; consequently, it always returns an empty result set. This in turn produces always produces outliers of zero.

The above methods are also called to render the resource and group OOB Metrics portlet. I have reviewed the code the involved with Mike Thompson. I do not think that the portlets are affected by this because they do not use the outlier property in MeasurementOOBComposite. Mike please chime in here if I am wrong.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Heiko W. Rupp 2014-05-08 14:42:54 UTC
Bump the target version now that 4.11 is out.

Comment 2 Lukas Krejci 2014-10-13 11:36:08 UTC
commit 7ceb5f74938f720919c378a93ab82a0e66e56702
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Mon Oct 13 13:34:44 2014 +0200

    [BZ 1070521] Fixed retrieval of OOB datapoints.


Note You need to log in before you can comment on or make changes to this bug.